<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

<div class="container">
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
            <svg class="bi me-2" width="40" height="32"><use xlink:href="#bootstrap"/></svg>
            <span class="fs-4">Mediscreen</span>
        </a>

        <ul class="nav nav-pills">
            <li class="nav-item"><a href="/" class="nav-link active" aria-current="page">Home</a></li>
            <li class="nav-item"><a href="/patients/" class="nav-link">Patients</a></li>
        </ul>
    </header>
</div>

<div class="container text-center">
    <div class="row">
        <h2>Update Patient : <span th:text="*{patient.given}"></span><span> </span><span th:text="*{patient.family}"></span></h2>
    </div>

    <div class="row">
        <form action="#" th:action="@{/patient/update/{id}(id=${patient.id})}" method="post" class="form-horizontal" style="width: 100%">
            <div class="form-group">
                <label for="given" class="control-label">Given Name</label>
                <div>
                    <input type="text" readonly="true" th:field="*{patient.given}" id="given" placeholder="Given Name" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.given')}" th:errors="*{patient.given}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="family" class="control-label">Family Name</label>
                <div>
                    <input type="text" readonly="true" th:field="*{patient.family}" id="family" placeholder="Family Name" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.family')}" th:errors="*{patient.family}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="birthdate" class="control-label">Birthdate</label>
                <div>
                    <input type="date" readonly="true" th:field="*{patient.dob}" id="dob" placeholder="dob" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.dob')}" th:errors="*{patient.dob}"></p>
                </div>
            </div>
            <div class="form-group">
                <div>
                    <select name="sex">
                        <option th:each="sex : ${T(com.mediscreen.patients.repository.SexENUM).values()}"
                                th:value="${sex}" th:text="${sex.displayValue}"></option>
                    </select>
                </div>
            </div>
            <div class="form-group">
                <label for="address" class="control-label">Address</label>
                <div>
                    <input type="text" th:field="*{patient.address}" id="address" placeholder="street" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.address')}" th:errors="*{patient.address}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="emailAddress" class="2 control-label">Email Address</label>
                <div>
                    <input type="text" th:field="*{patient.emailAddress}" id="emailAddress" placeholder="emailAddress" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.emailAddress')}" th:errors="*{patient.emailAddress}"></p>
                </div>
            </div>
            <div class="form-group">
                <label for="phone" class="control-label">Phone Number</label>
                <div>
                    <input type="text" th:field="*{patient.phone}" id="phone" placeholder="phone" class="col-4">
                    <p class="text-danger" th:if="${#fields.hasErrors('patient.phone')}" th:errors="*{patient.phone}"></p>
                </div>
            </div>

            <div class="form-group">
                <div>
                    <input type="hidden" th:field="*{id}">
                    <a class="btn btn-danger btn-sm" href="/patients">Cancel</a>
                    <input class="btn btn-primary btn-sm" type="submit" value="Update patient">
                </div>
            </div>
        </form>
    </div>

</div>
</body>
</html>